diff -ur ncurses-5.9-orig/form/frm_win.c ncurses-5.9/form/frm_win.c
--- ncurses-5.9-orig/form/frm_win.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_win.c	2013-07-04 18:38:37 -0400
@@ -43,7 +43,7 @@
 |   Return Values :  E_OK       - success
 |                    E_POSTED   - form is posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_form_win(FORM *form, WINDOW *win)
 {
   T((T_CALLED("set_form_win(%p,%p)"), (void *)form, (void *)win));
@@ -72,7 +72,7 @@
 |
 |   Return Values :  The pointer to the Window or stdscr if there is none.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(WINDOW *)
+NCFORM_EXPORT(WINDOW *)
 form_win(const FORM *form)
 {
   WINDOW *result;
diff -ur ncurses-5.9-orig/form/fty_alnum.c ncurses-5.9/form/fty_alnum.c
--- ncurses-5.9-orig/form/fty_alnum.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fty_alnum.c	2013-07-04 18:38:37 -0400
@@ -185,14 +185,14 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE*) TYPE_ALNUM = &typeTHIS;
+NCFORM_EXPORT_VAR(FIELDTYPE*) TYPE_ALNUM = &typeTHIS;
 
 #if NCURSES_INTEROP_FUNCS
 /* The next routines are to simplify the use of ncurses from
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_ALNUM(void)
 {
   return TYPE_ALNUM;
diff -ur ncurses-5.9-orig/form/fty_alpha.c ncurses-5.9/form/fty_alpha.c
--- ncurses-5.9-orig/form/fty_alpha.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fty_alpha.c	2013-07-04 18:38:37 -0400
@@ -185,14 +185,14 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE*) TYPE_ALPHA = &typeTHIS;
+NCFORM_EXPORT_VAR(FIELDTYPE*) TYPE_ALPHA = &typeTHIS;
 
 #if NCURSES_INTEROP_FUNCS
 /* The next routines are to simplify the use of ncurses from
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_ALPHA(void)
 {
   return TYPE_ALPHA;
diff -ur ncurses-5.9-orig/form/fty_enum.c ncurses-5.9/form/fty_enum.c
--- ncurses-5.9-orig/form/fty_enum.c	2010-05-01 17:11:07 -0400
+++ ncurses-5.9/form/fty_enum.c	2013-07-04 18:38:37 -0400
@@ -424,7 +424,7 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE *)
+NCFORM_EXPORT_VAR(FIELDTYPE *)
 TYPE_ENUM = &typeENUM;
 
 #if NCURSES_INTEROP_FUNCS
@@ -432,7 +432,7 @@
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_ENUM(void)
 {
   return TYPE_ENUM;
diff -ur ncurses-5.9-orig/form/fty_generic.c ncurses-5.9/form/fty_generic.c
--- ncurses-5.9-orig/form/fty_generic.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fty_generic.c	2013-07-04 18:38:37 -0400
@@ -98,7 +98,7 @@
 |
 |   Return Values :  Fieldtype pointer or NULL if error occurred
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_generic_fieldtype(bool (*const field_check) (FORM *, FIELD *, const void *),
 		      bool (*const char_check) (int, FORM *, FIELD *, const
 						void *),
@@ -213,7 +213,7 @@
 |   Return Values :  E_OK if all went well
 |                    E_SYSTEM_ERROR if an error occurred
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_set_generic_fieldtype(FIELD *field,
 			  FIELDTYPE *ftyp,
 			  int (*argiterator) (void **))
@@ -268,7 +268,7 @@
 |
 |   Return Values :  The fields Window or NULL on error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(WINDOW *)
+NCFORM_EXPORT(WINDOW *)
 _nc_form_cursor(const FORM *form, int *pRow, int *pCol)
 {
   int code = E_SYSTEM_ERROR;
diff -ur ncurses-5.9-orig/form/fty_int.c ncurses-5.9/form/fty_int.c
--- ncurses-5.9-orig/form/fty_int.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fty_int.c	2013-07-04 18:38:37 -0400
@@ -276,14 +276,14 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE*) TYPE_INTEGER = &typeTHIS;
+NCFORM_EXPORT_VAR(FIELDTYPE*) TYPE_INTEGER = &typeTHIS;
 
 #if NCURSES_INTEROP_FUNCS
 /* The next routines are to simplify the use of ncurses from
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_INTEGER(void)
 {
   return TYPE_INTEGER;
diff -ur ncurses-5.9-orig/form/fty_ipv4.c ncurses-5.9/form/fty_ipv4.c
--- ncurses-5.9-orig/form/fty_ipv4.c	2009-11-07 15:17:58 -0500
+++ ncurses-5.9/form/fty_ipv4.c	2013-07-04 18:38:37 -0400
@@ -103,14 +103,14 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE*) TYPE_IPV4 = &typeIPV4;
+NCFORM_EXPORT_VAR(FIELDTYPE*) TYPE_IPV4 = &typeIPV4;
 
 #if NCURSES_INTEROP_FUNCS
 /* The next routines are to simplify the use of ncurses from
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_IPV4(void)
 {
   return TYPE_IPV4;
diff -ur ncurses-5.9-orig/form/fty_num.c ncurses-5.9/form/fty_num.c
--- ncurses-5.9-orig/form/fty_num.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fty_num.c	2013-07-04 18:38:37 -0400
@@ -322,14 +322,14 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE*) TYPE_NUMERIC = &typeTHIS;
+NCFORM_EXPORT_VAR(FIELDTYPE*) TYPE_NUMERIC = &typeTHIS;
 
 #if NCURSES_INTEROP_FUNCS
 /* The next routines are to simplify the use of ncurses from
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_NUMERIC(void)
 {
   return TYPE_NUMERIC;
diff -ur ncurses-5.9-orig/form/fty_regex.c ncurses-5.9/form/fty_regex.c
--- ncurses-5.9-orig/form/fty_regex.c	2010-01-23 16:14:37 -0500
+++ ncurses-5.9/form/fty_regex.c	2013-07-04 18:38:37 -0400
@@ -333,14 +333,14 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE*) TYPE_REGEXP = &typeREGEXP;
+NCFORM_EXPORT_VAR(FIELDTYPE*) TYPE_REGEXP = &typeREGEXP;
 
 #if NCURSES_INTEROP_FUNCS
 /* The next routines are to simplify the use of ncurses from
    programming languages with restictions on interop with C level
    constructs (e.g. variable access or va_list + ellipsis constructs)
 */
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_TYPE_REGEXP(void)
 {
   return TYPE_REGEXP;
diff -ur ncurses-5.9-orig/include/MKkey_defs.sh ncurses-5.9/include/MKkey_defs.sh
--- ncurses-5.9-orig/include/MKkey_defs.sh	2003-12-06 12:10:09 -0500
+++ ncurses-5.9/include/MKkey_defs.sh	2013-07-04 18:38:37 -0400
@@ -62,7 +62,7 @@
 # add keys that we generate automatically:
 cat >>$data <<EOF
 key_resize	kr1	str	R1	KEY_RESIZE	+	-----	Terminal resize event
-key_event	kv1	str	V1	KEY_EVENT	+	-----	We were interrupted by an event
+key_event	kv1	str	V1	KEY_EVENT_	+	-----	We were interrupted by an event
 EOF
 
 cat <<EOF
diff -ur ncurses-5.9-orig/include/MKterm.h.awk.in ncurses-5.9/include/MKterm.h.awk.in
--- ncurses-5.9-orig/include/MKterm.h.awk.in	2010-01-09 14:53:26 -0500
+++ ncurses-5.9/include/MKterm.h.awk.in	2013-07-04 18:38:37 -0400
@@ -130,7 +130,7 @@
 		    print  ""
 		    print  "#else /* !HAVE_TERMIO_H */"
 		    print  ""
-		    print  "#if __MINGW32__"
+		    print  "#if __MINGW32__ || defined(_MSC_VER)"
 		    print  "#  include <ncurses_mingw.h>"
 		    print  "#  define TTY struct termios"
 		    print  "#else"
diff -ur ncurses-5.9-orig/include/nc_mingw.h ncurses-5.9/include/nc_mingw.h
--- ncurses-5.9-orig/include/nc_mingw.h	2010-09-25 18:16:12 -0400
+++ ncurses-5.9/include/nc_mingw.h	2013-07-04 18:38:37 -0400
@@ -43,6 +43,7 @@
 #else
 #  define WINVER 0x0501
 #endif
+#include <winsock2.h>
 #include <windows.h>
 
 #undef sleep
@@ -51,7 +52,9 @@
 #undef gettimeofday
 #define gettimeofday(tv,tz) _nc_gettimeofday(tv,tz)
 
+#ifndef _MSC_VER
 #include <sys/time.h>	/* for struct timeval */
+#endif
 
 extern int _nc_gettimeofday(struct timeval *, void *);
 
diff -ur ncurses-5.9-orig/include/ncurses_dll.h.in ncurses-5.9/include/ncurses_dll.h.in
--- ncurses-5.9-orig/include/ncurses_dll.h.in	2009-04-04 18:26:27 -0400
+++ ncurses-5.9/include/ncurses_dll.h.in	2013-07-04 18:38:37 -0400
@@ -41,10 +41,9 @@
 /* but this structure may be useful at some point for an MSVC build */
 /* so, for now unconditionally define the important flags           */
 /* "the right way" for proper static and dll+auto-import behavior   */
-#undef NCURSES_DLL
-#define NCURSES_STATIC
+#undef NCURSES_STATIC
 
-#if defined(__CYGWIN__) || defined(__MINGW32__)
+#if defined(__CYGWIN__) || defined(__MINGW32__) || defined(_MSC_VER)
 #  if defined(NCURSES_DLL)
 #    if defined(NCURSES_STATIC)
 #      undef NCURSES_STATIC
@@ -67,6 +66,98 @@
 #  define NCURSES_API __cdecl
 #  define NCURSES_EXPORT(type) NCURSES_IMPEXP type NCURSES_API
 #  define NCURSES_EXPORT_VAR(type) NCURSES_IMPEXP type
+
+#  if defined(NCURSESXX_DLL)
+#    if defined(NCURSES_STATIC)
+#      undef NCURSES_STATIC
+#    endif
+#  endif
+#  undef NCURSESXX_IMPEXP
+#  undef NCURSESXX_API
+#  undef NCURSESXX_EXPORT
+#  undef NCURSESXX_EXPORT_VAR
+#  if defined(NCURSESXX_DLL)
+/* building a DLL */
+#    define NCURSESXX_IMPEXP __declspec(dllexport)
+#  elif defined(NCURSES_STATIC)
+/* building or linking to a static library */
+#    define NCURSESXX_IMPEXP /* nothing */
+#  else
+/* linking to the DLL */
+#    define NCURSESXX_IMPEXP __declspec(dllimport)
+#  endif
+#  define NCURSESXX_API __cdecl
+#  define NCURSESXX_EXPORT(type) NCURSESXX_IMPEXP type NCURSESXX_API
+#  define NCURSESXX_EXPORT_VAR(type) NCURSESXX_IMPEXP type
+
+#  if defined(NCMENU_DLL)
+#    if defined(NCURSES_STATIC)
+#      undef NCURSES_STATIC
+#    endif
+#  endif
+#  undef NCMENU_IMPEXP
+#  undef NCMENU_API
+#  undef NCMENU_EXPORT
+#  undef NCMENU_EXPORT_VAR
+#  if defined(NCMENU_DLL)
+/* building a DLL */
+#    define NCMENU_IMPEXP __declspec(dllexport)
+#  elif defined(NCURSES_STATIC)
+/* building or linking to a static library */
+#    define NCMENU_IMPEXP /* nothing */
+#  else
+/* linking to the DLL */
+#    define NCMENU_IMPEXP __declspec(dllimport)
+#  endif
+#  define NCMENU_API __cdecl
+#  define NCMENU_EXPORT(type) NCMENU_IMPEXP type NCMENU_API
+#  define NCMENU_EXPORT_VAR(type) NCMENU_IMPEXP type
+
+#  if defined(NCPANEL_DLL)
+#    if defined(NCURSES_STATIC)
+#      undef NCURSES_STATIC
+#    endif
+#  endif
+#  undef NCPANEL_IMPEXP
+#  undef NCPANEL_API
+#  undef NCPANEL_EXPORT
+#  undef NCPANEL_EXPORT_VAR
+#  if defined(NCPANEL_DLL)
+/* building a DLL */
+#    define NCPANEL_IMPEXP __declspec(dllexport)
+#  elif defined(NCURSES_STATIC)
+/* building or linking to a static library */
+#    define NCPANEL_IMPEXP /* nothing */
+#  else
+/* linking to the DLL */
+#    define NCPANEL_IMPEXP __declspec(dllimport)
+#  endif
+#  define NCPANEL_API __cdecl
+#  define NCPANEL_EXPORT(type) NCPANEL_IMPEXP type NCPANEL_API
+#  define NCPANEL_EXPORT_VAR(type) NCPANEL_IMPEXP type
+
+#  if defined(NCFORM_DLL)
+#    if defined(NCURSES_STATIC)
+#      undef NCURSES_STATIC
+#    endif
+#  endif
+#  undef NCFORM_IMPEXP
+#  undef NCFORM_API
+#  undef NCFORM_EXPORT
+#  undef NCFORM_EXPORT_VAR
+#  if defined(NCFORM_DLL)
+/* building a DLL */
+#    define NCFORM_IMPEXP __declspec(dllexport)
+#  elif defined(NCURSES_STATIC)
+/* building or linking to a static library */
+#    define NCFORM_IMPEXP /* nothing */
+#  else
+/* linking to the DLL */
+#    define NCFORM_IMPEXP __declspec(dllimport)
+#  endif
+#  define NCFORM_API __cdecl
+#  define NCFORM_EXPORT(type) NCFORM_IMPEXP type NCFORM_API
+#  define NCFORM_EXPORT_VAR(type) NCFORM_IMPEXP type
 #endif
 
 /* Take care of non-cygwin platforms */
@@ -83,4 +174,43 @@
 #  define NCURSES_EXPORT_VAR(type) NCURSES_IMPEXP type
 #endif
 
+#if !defined(NCMENU_IMPEXP)
+#  define NCMENU_IMPEXP /* nothing */
+#endif
+#if !defined(NCMENU_API)
+#  define NCMENU_API /* nothing */
+#endif
+#if !defined(NCMENU_EXPORT)
+#  define NCMENU_EXPORT(type) NCMENU_IMPEXP type NCMENU_API
+#endif
+#if !defined(NCMENU_EXPORT_VAR)
+#  define NCMENU_EXPORT_VAR(type) NCMENU_IMPEXP type
+#endif
+
+#if !defined(NCPANEL_IMPEXP)
+#  define NCPANEL_IMPEXP /* nothing */
+#endif
+#if !defined(NCPANEL_API)
+#  define NCPANEL_API /* nothing */
+#endif
+#if !defined(NCPANEL_EXPORT)
+#  define NCPANEL_EXPORT(type) NCPANEL_IMPEXP type NCPANEL_API
+#endif
+#if !defined(NCPANEL_EXPORT_VAR)
+#  define NCPANEL_EXPORT_VAR(type) NCPANEL_IMPEXP type
+#endif
+
+#if !defined(NCFORM_IMPEXP)
+#  define NCFORM_IMPEXP /* nothing */
+#endif
+#if !defined(NCFORM_API)
+#  define NCFORM_API /* nothing */
+#endif
+#if !defined(NCFORM_EXPORT)
+#  define NCFORM_EXPORT(type) NCFORM_IMPEXP type NCFORM_API
+#endif
+#if !defined(NCFORM_EXPORT_VAR)
+#  define NCFORM_EXPORT_VAR(type) NCFORM_IMPEXP type
+#endif
+
 #endif /* NCURSES_DLL_H_incl */
diff -ur ncurses-5.9-orig/include/ncurses_mingw.h ncurses-5.9/include/ncurses_mingw.h
--- ncurses-5.9-orig/include/ncurses_mingw.h	2008-12-14 14:22:16 -0500
+++ ncurses-5.9/include/ncurses_mingw.h	2013-07-04 18:38:37 -0400
@@ -38,7 +38,7 @@
  * to support I/O to external terminals with ncurses on the Windows OS.
  */
 
-#if __MINGW32__
+#if __MINGW32__ || defined(_MSC_VER)
 #ifndef _NC_MINGWH
 #define _NC_MINGWH
 
diff -ur ncurses-5.9-orig/include/term_entry.h ncurses-5.9/include/term_entry.h
--- ncurses-5.9-orig/include/term_entry.h	2009-07-11 12:52:29 -0400
+++ ncurses-5.9/include/term_entry.h	2013-07-04 18:38:37 -0400
@@ -161,8 +161,8 @@
 extern NCURSES_EXPORT(int) _nc_resolve_uses (bool); /* obs 20040705 */
 extern NCURSES_EXPORT(int) _nc_resolve_uses2 (bool, bool);
 extern NCURSES_EXPORT(void) _nc_free_entries (ENTRY *);
-extern NCURSES_IMPEXP void NCURSES_API (*_nc_check_termtype)(TERMTYPE *); /* obs 20040705 */
-extern NCURSES_IMPEXP void NCURSES_API (*_nc_check_termtype2)(TERMTYPE *, bool);
+extern NCURSES_IMPEXP void (NCURSES_API *_nc_check_termtype)(TERMTYPE *); /* obs 20040705 */
+extern NCURSES_IMPEXP void (NCURSES_API *_nc_check_termtype2)(TERMTYPE *, bool);
 
 /* trace_xnames.c */
 extern NCURSES_EXPORT(void) _nc_trace_xnames (TERMTYPE *);
diff -ur ncurses-5.9-orig/include/tic.h ncurses-5.9/include/tic.h
--- ncurses-5.9-orig/include/tic.h	2009-08-08 13:52:46 -0400
+++ ncurses-5.9/include/tic.h	2013-07-04 18:38:37 -0400
@@ -299,6 +299,9 @@
 
 /* home_terminfo.c */
 extern NCURSES_EXPORT(char *) _nc_home_terminfo (void);
+#ifdef _MSC_VER
+extern NCURSES_EXPORT(char *) _nc_win32_terminfo (void);
+#endif
 
 /* lib_tparm.c */
 #define NUM_PARM 9
@@ -318,6 +321,9 @@
     dbdTIC = 0,
 #if USE_DATABASE
     dbdEnvOnce,
+#ifdef _MSC_VER
+    dbdWin32,
+#endif
     dbdHome,
     dbdEnvList,
     dbdCfgList,
diff -ur ncurses-5.9-orig/menu/m_attribs.c ncurses-5.9/menu/m_attribs.c
--- ncurses-5.9-orig/menu/m_attribs.c	2010-01-23 16:16:54 -0500
+++ ncurses-5.9/menu/m_attribs.c	2013-07-04 18:38:37 -0400
@@ -49,7 +49,7 @@
 
 /* "Template" macro to generate a function to set a menus attribute */
 #define GEN_MENU_ATTR_SET_FCT( name ) \
-NCURSES_IMPEXP int NCURSES_API set_menu_ ## name (MENU* menu, chtype attr) \
+NCMENU_IMPEXP int NCMENU_API set_menu_ ## name (MENU* menu, chtype attr) \
 {\
   T((T_CALLED("set_menu_" #name "(%p,%s)"), menu, _traceattr(attr))); \
    if (!(attr==A_NORMAL || (attr & A_ATTRIBUTES)==attr))\
@@ -65,7 +65,7 @@
 
 /* "Template" macro to generate a function to get a menu's attribute */
 #define GEN_MENU_ATTR_GET_FCT( name ) \
-NCURSES_IMPEXP chtype NCURSES_API menu_ ## name (const MENU * menu)\
+NCMENU_IMPEXP chtype NCMENU_API menu_ ## name (const MENU * menu)\
 {\
    T((T_CALLED("menu_" #name "(%p)"), (const void *) menu));\
    returnAttr(Normalize_Menu( menu ) -> name);\
diff -ur ncurses-5.9-orig/menu/m_cursor.c ncurses-5.9/menu/m_cursor.c
--- ncurses-5.9-orig/menu/m_cursor.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_cursor.c	2013-07-04 18:38:37 -0400
@@ -49,7 +49,7 @@
 |                    E_BAD_ARGUMENT  - invalid menu
 |                    E_NOT_POSTED    - Menu is not posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 _nc_menu_cursor_pos(const MENU * menu, const ITEM * item, int *pY, int *pX)
 {
   if (!menu || !pX || !pY)
@@ -79,7 +79,7 @@
 |                    E_BAD_ARGUMENT  - invalid menu
 |                    E_NOT_POSTED    - Menu is not posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 pos_menu_cursor(const MENU * menu)
 {
   WINDOW *win, *sub;
diff -ur ncurses-5.9-orig/menu/m_driver.c ncurses-5.9/menu/m_driver.c
--- ncurses-5.9-orig/menu/m_driver.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_driver.c	2013-07-04 18:38:37 -0400
@@ -114,7 +114,7 @@
 |   Return Values :  E_OK        - an item matching the pattern was found
 |                    E_NO_MATCH  - nothing found
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 _nc_Match_Next_Character_In_Item_Name
 (MENU * menu, int ch, ITEM ** item)
 {
@@ -208,7 +208,7 @@
 |                    E_BAD_STATE     - menu is in user hook routine
 |                    E_NOT_POSTED    - menu is not posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 menu_driver(MENU * menu, int c)
 {
 #define NAVIGATE(dir) \
diff -ur ncurses-5.9-orig/menu/m_format.c ncurses-5.9/menu/m_format.c
--- ncurses-5.9-orig/menu/m_format.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_format.c	2013-07-04 18:38:37 -0400
@@ -55,7 +55,7 @@
 |                    E_NOT_CONNECTED        - there are no items connected
 |                    E_POSTED               - the menu is already posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_menu_format(MENU * menu, int rows, int cols)
 {
   int total_rows, total_cols;
@@ -119,7 +119,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCMENU_EXPORT(void)
 menu_format(const MENU * menu, int *rows, int *cols)
 {
   if (rows)
diff -ur ncurses-5.9-orig/menu/m_global.c ncurses-5.9/menu/m_global.c
--- ncurses-5.9-orig/menu/m_global.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_global.c	2013-07-04 18:38:38 -0400
@@ -41,7 +41,7 @@
 
 static char mark[] = "-";
 /* *INDENT-OFF* */
-NCURSES_EXPORT_VAR(MENU) _nc_Default_Menu = {
+NCMENU_EXPORT_VAR(MENU) _nc_Default_Menu = {
   16,				  /* Nr. of chars high */
   1,				  /* Nr. of chars wide */
   16,				  /* Nr. of items high */
@@ -80,7 +80,7 @@
   0			          /* status */	    
 };
 
-NCURSES_EXPORT_VAR(ITEM) _nc_Default_Item = {
+NCMENU_EXPORT_VAR(ITEM) _nc_Default_Item = {
   { (char *)0, 0 },		  /* name */
   { (char *)0, 0 },		  /* description */
   (MENU *)0,		          /* Pointer to parent menu */
@@ -170,7 +170,7 @@
 |   Return Values :  TRUE       - successful connection
 |                    FALSE      - connection failed
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCMENU_EXPORT(bool)
 _nc_Connect_Items(MENU * menu, ITEM ** items)
 {
   ITEM **item;
@@ -232,7 +232,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCMENU_EXPORT(void)
 _nc_Disconnect_Items(MENU * menu)
 {
   if (menu && menu->items)
@@ -247,7 +247,7 @@
 |
 |   Return Values :  the width
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 _nc_Calculate_Text_Width(const TEXT * item /*FIXME: limit length */ )
 {
 #if USE_WIDEC_SUPPORT
@@ -336,7 +336,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCMENU_EXPORT(void)
 _nc_Calculate_Item_Length_and_Width(MENU * menu)
 {
   int l;
@@ -375,7 +375,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCMENU_EXPORT(void)
 _nc_Link_Items(MENU * menu)
 {
   if (menu && menu->items && *(menu->items))
@@ -502,7 +502,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCMENU_EXPORT(void)
 _nc_Show_Menu(const MENU * menu)
 {
   WINDOW *win;
@@ -542,7 +542,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCMENU_EXPORT(void)
 _nc_New_TopRow_and_CurrentItem(
 				MENU * menu,
 				int new_toprow,
diff -ur ncurses-5.9-orig/menu/m_hook.c ncurses-5.9/menu/m_hook.c
--- ncurses-5.9-orig/menu/m_hook.c	2010-01-23 16:16:54 -0500
+++ ncurses-5.9/menu/m_hook.c	2013-07-04 18:38:38 -0400
@@ -41,7 +41,7 @@
 
 /* "Template" macro to generate function to set application specific hook */
 #define GEN_HOOK_SET_FUNCTION( typ, name ) \
-NCURSES_IMPEXP int NCURSES_API set_ ## typ ## _ ## name (MENU *menu, Menu_Hook func )\
+NCMENU_IMPEXP int NCMENU_API set_ ## typ ## _ ## name (MENU *menu, Menu_Hook func )\
 {\
    T((T_CALLED("set_" #typ "_" #name "(%p,%p)"), menu, func));\
    (Normalize_Menu(menu) -> typ ## name = func );\
@@ -50,7 +50,7 @@
 
 /* "Template" macro to generate function to get application specific hook */
 #define GEN_HOOK_GET_FUNCTION( typ, name ) \
-NCURSES_IMPEXP Menu_Hook NCURSES_API typ ## _ ## name ( const MENU *menu )\
+NCMENU_IMPEXP Menu_Hook NCMENU_API typ ## _ ## name ( const MENU *menu )\
 {\
    T((T_CALLED(#typ "_" #name "(%p)"), (const void *) menu));\
    returnMenuHook(Normalize_Menu(menu) -> typ ## name);\
diff -ur ncurses-5.9-orig/menu/m_item_cur.c ncurses-5.9/menu/m_item_cur.c
--- ncurses-5.9-orig/menu/m_item_cur.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_cur.c	2013-07-04 18:38:38 -0400
@@ -47,7 +47,7 @@
 |
 |   Return Values :  E_OK                - success
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_current_item(MENU * menu, ITEM * item)
 {
   T((T_CALLED("set_current_item(%p,%p)"), (void *)menu, (void *)item));
@@ -88,7 +88,7 @@
 |
 |   Return Values :  Item pointer or NULL if failure
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(ITEM *)
+NCMENU_EXPORT(ITEM *)
 current_item(const MENU * menu)
 {
   T((T_CALLED("current_item(%p)"), (const void *)menu));
@@ -103,7 +103,7 @@
 |
 |   Return Values :  The index or ERR if this is an invalid item pointer
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 item_index(const ITEM * item)
 {
   T((T_CALLED("item_index(%p)"), (const void *)item));
diff -ur ncurses-5.9-orig/menu/m_item_nam.c ncurses-5.9/menu/m_item_nam.c
--- ncurses-5.9-orig/menu/m_item_nam.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_nam.c	2013-07-04 18:38:38 -0400
@@ -47,7 +47,7 @@
 |
 |   Return Values :  See above; returns NULL if item is invalid
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(const char *)
+NCMENU_EXPORT(const char *)
 item_name(const ITEM * item)
 {
   T((T_CALLED("item_name(%p)"), (const void *)item));
@@ -62,7 +62,7 @@
 |
 |   Return Values :  See above; Returns NULL if item is invalid
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(const char *)
+NCMENU_EXPORT(const char *)
 item_description(const ITEM * item)
 {
   T((T_CALLED("item_description(%p)"), (const void *)item));
diff -ur ncurses-5.9-orig/menu/m_item_new.c ncurses-5.9/menu/m_item_new.c
--- ncurses-5.9-orig/menu/m_item_new.c	2010-01-23 16:20:11 -0500
+++ ncurses-5.9/menu/m_item_new.c	2013-07-04 18:38:38 -0400
@@ -106,7 +106,7 @@
 |
 |   Return Values :  The item pointer or NULL if creation failed.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(ITEM *)
+NCMENU_EXPORT(ITEM *)
 new_item(const char *name, const char *description)
 {
   ITEM *item;
@@ -159,7 +159,7 @@
 |                    E_BAD_ARGUMENT    - invalid value has been passed
 |                    E_CONNECTED       - item is still connected to a menu    
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 free_item(ITEM * item)
 {
   T((T_CALLED("free_item(%p)"), (void *)item));
@@ -192,7 +192,7 @@
 |                    E_BAD_ARGUMENT     - an invalid value has been passed
 |                    E_SYSTEM_ERROR     - no memory to store mark
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_menu_mark(MENU * menu, const char *mark)
 {
   unsigned l;
@@ -265,7 +265,7 @@
 |
 |   Return Values :  The marker string pointer or NULL if no marker defined
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(const char *)
+NCMENU_EXPORT(const char *)
 menu_mark(const MENU * menu)
 {
   T((T_CALLED("menu_mark(%p)"), (const void *)menu));
diff -ur ncurses-5.9-orig/menu/m_item_opt.c ncurses-5.9/menu/m_item_opt.c
--- ncurses-5.9-orig/menu/m_item_opt.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_opt.c	2013-07-04 18:38:38 -0400
@@ -50,7 +50,7 @@
 |   Return Values :  E_OK            - success
 |                    E_BAD_ARGUMENT  - invalid item options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_item_opts(ITEM * item, Item_Options opts)
 {
   T((T_CALLED("set_menu_opts(%p,%d)"), (void *)item, opts));
@@ -93,7 +93,7 @@
 |   Return Values :  E_OK            - success
 |                    E_BAD_ARGUMENT  - invalid options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 item_opts_off(ITEM * item, Item_Options opts)
 {
   ITEM *citem = item;		/* use a copy because set_item_opts must detect
@@ -121,7 +121,7 @@
 |   Return Values :  E_OK            - success
 |                    E_BAD_ARGUMENT  - invalid options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 item_opts_on(ITEM * item, Item_Options opts)
 {
   ITEM *citem = item;		/* use a copy because set_item_opts must detect
@@ -149,7 +149,7 @@
 |
 |   Return Values :  Items options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(Item_Options)
+NCMENU_EXPORT(Item_Options)
 item_opts(const ITEM * item)
 {
   T((T_CALLED("item_opts(%p)"), (const void *)item));
diff -ur ncurses-5.9-orig/menu/m_item_top.c ncurses-5.9/menu/m_item_top.c
--- ncurses-5.9-orig/menu/m_item_top.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_top.c	2013-07-04 18:38:38 -0400
@@ -49,7 +49,7 @@
 |                    E_BAD_ARGUMENT   - not a menu pointer or invalid row
 |                    E_NOT_CONNECTED  - there are no items for the menu
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_top_row(MENU * menu, int row)
 {
   ITEM *item;
@@ -91,7 +91,7 @@
 |
 |   Return Values :  The row number or ERR if there is no row
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 top_row(const MENU * menu)
 {
   T((T_CALLED("top_row(%p)"), (const void *)menu));
diff -ur ncurses-5.9-orig/menu/m_item_use.c ncurses-5.9/menu/m_item_use.c
--- ncurses-5.9-orig/menu/m_item_use.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_use.c	2013-07-04 18:38:38 -0400
@@ -48,7 +48,7 @@
 |
 |   Return Values :  E_OK               - success
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_item_userptr(ITEM * item, void *userptr)
 {
   T((T_CALLED("set_item_userptr(%p,%p)"), (void *)item, (void *)userptr));
@@ -66,7 +66,7 @@
 |   Return Values :  Value of the pointer. If no such pointer has been set,
 |                    NULL is returned.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void *)
+NCMENU_EXPORT(void *)
 item_userptr(const ITEM * item)
 {
   T((T_CALLED("item_userptr(%p)"), (const void *)item));
diff -ur ncurses-5.9-orig/menu/m_item_val.c ncurses-5.9/menu/m_item_val.c
--- ncurses-5.9-orig/menu/m_item_val.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_val.c	2013-07-04 18:38:38 -0400
@@ -52,7 +52,7 @@
 |   Return Values :  E_OK              - success
 |                    E_REQUEST_DENIED  - not selectable or single valued menu
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_item_value(ITEM * item, bool value)
 {
   MENU *menu;
@@ -94,7 +94,7 @@
 |   Return Values :  TRUE   - if item is selected
 |                    FALSE  - if item is not selected
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCMENU_EXPORT(bool)
 item_value(const ITEM * item)
 {
   T((T_CALLED("item_value(%p)"), (const void *)item));
diff -ur ncurses-5.9-orig/menu/m_item_vis.c ncurses-5.9/menu/m_item_vis.c
--- ncurses-5.9-orig/menu/m_item_vis.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_item_vis.c	2013-07-04 18:38:38 -0400
@@ -49,7 +49,7 @@
 |   Return Values :  TRUE  if visible
 |                    FALSE if invisible
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCMENU_EXPORT(bool)
 item_visible(const ITEM * item)
 {
   MENU *menu;
diff -ur ncurses-5.9-orig/menu/m_items.c ncurses-5.9/menu/m_items.c
--- ncurses-5.9-orig/menu/m_items.c	2010-01-23 16:20:10 -0500
+++ ncurses-5.9/menu/m_items.c	2013-07-04 18:38:38 -0400
@@ -52,7 +52,7 @@
 |                    E_BAD_ARGUMENT - An incorrect menu or item array was
 |                                     passed to the function
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 set_menu_items(MENU * menu, ITEM ** items)
 {
   T((T_CALLED("set_menu_items(%p,%p)"), (void *)menu, (void *)items));
@@ -84,7 +84,7 @@
 |
 |   Return Values :  NULL on error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(ITEM **)
+NCMENU_EXPORT(ITEM **)
 menu_items(const MENU * menu)
 {
   T((T_CALLED("menu_items(%p)"), (const void *)menu));
@@ -100,7 +100,7 @@
 |
 |   Return Values :  Number of items or -1 to indicate error.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCMENU_EXPORT(int)
 item_count(const MENU * menu)
 {
   T((T_CALLED("item_count(%p)"), (const void *)menu));
